# Command: eq_iv

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    eq_iv - tests for content equality between vectors of integers

Synopsis:

      array array -> bool

Description:

      Deep equality test since regular eq is an identity test for vectors
      Intent is to be used in mathematica.sli to override eq for intvectortype.
      Example:
      <# 1 #> <# 1 #> eq_ --> false
      <# 1 #> <# 1 #> eq_iv --> true

Parameters:

      two arrays of integers

Author:

    Peyser

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/sli/sliarray.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative